> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# String

> REST Web API search strings

## Begins with

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name begins 'S' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Between

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name between ('A','S') HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Contains

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name contains 'Orgnr' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Equals (is)

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name is 'Testing null Orgnr' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Is not

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name isNot 'SuperOffice Software Limited' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Not begins

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name notBegins 'S' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Not contains

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=name notContains 'Owl' HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

### One of (in)

```http theme={null}
GET /api/v1/contact?$select=name,category&$filter=name in ('SuperOffice Software Limited', 'Owl') HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```


## Related topics

- [String](/en/automation/crmscript/reference/CRMScript.Global.String.md)
- [Get Strings](/en/api/reference/restful/rest/string/get-strings.md)
- [Get Strings_ G E T](/en/api/reference/restful/rest/string/get-strings_-g-e-t.md)
- [Get String](/en/api/reference/restful/rest/string/get-string.md)
- [Translate strings](/en/api/localization/language/translate-strings.md)
- [StringMatrix](/en/automation/crmscript/reference/CRMScript.Native.StringMatrix.md)
